# Deep Linking

All deeplink routes can be used with either `https://link.trustwallet.com` or `trust://`.

The `https://link.trustwallet.com` domain will route the user to a download landing page where the user can download the app for iOS, Android, or web extension. If the user already has the app installed, they will get a pop-up deeplinking them to the actual route page in the app.

The `trust://` URI will directly deeplink route the user to the corresponding in-app page and should be used in campaigns where it is known that all users clicking on the link already have the Trust Wallet app installed.

## DApp Browser

Open dapp browser with a specific url and network

* `coin` slip44 index
* `url` website url

```
https://link.trustwallet.com/open_url?coin_id=60&url=https://compound.finance
```

## Assets

### Open coin

* `asset` asset in [UAI format](/developer/new-asset/universal_asset_id.md)

```
https://link.trustwallet.com/open_coin?asset=c60
```

### Add asset

Asset will be added to local storage and will show up on the wallet screen.

* `asset` asset in [UAI format](/developer/new-asset/universal_asset_id.md)

```
https://link.trustwallet.com/add_asset?asset=c60_t0x514910771af9ca656af840dff83e8264ecf986ca
```

## Payment

### Send Payment

* `asset` asset in [UAI format](/developer/new-asset/universal_asset_id.md)
* `address` Recipient address
* `amount` Optional. Payment amount
* `memo` Optional. Memo
* `data` Optional. Data

```
https://link.trustwallet.com/send?asset=c60_t0x6B175474E89094C44Da98b954EedeAC495271d0F&address=0x650b5e446edabad7eba7fa7bb2f6119b2630bfbb&amount=1&memo=test
```

## Staking

### Stake details

* `coin` slip44 index

```
https://link.trustwallet.com/stake?coin=118
```

### Stake / Delegate

* `coin` slip44 index
* `id` validator / delegator to be selected. Optional

```
https://link.trustwallet.com/stake_delegate?coin=118&id=cosmosvaloper156gqf9837u7d4c4678yt3rl4ls9c5vuursrrzf
```

### Unstake / Undelegate

* `coin` slip44 index

```
https://link.trustwallet.com/stake_undelegate?coin=118
```

### Claim Rewards

* `coin` slip44 index

```
https://link.trustwallet.com/stake_claim_rewards?coin=118
```

## Exchange

### Open Swap

* `from` asset in [UAI format](/developer/new-asset/universal_asset_id.md)
* `to` asset in [UAI format](/developer/new-asset/universal_asset_id.md)

```
https://link.trustwallet.com/swap?from=c60_t0x6B175474E89094C44Da98b954EedeAC495271d0F&to=c60
```

### Open Buy Crypto

* `asset` asset in [UAI format](/developer/new-asset/universal_asset_id.md)
* `provider` Specifies the fiat ramp provider (e.g., moonpay, mercuryo, ramp). Optional.
* `payment_method` Specifies the payment method (e.g., credit\_card, bank\_transfer, apple\_pay, google\_pay, digital\_wallet). Optional.
* `sub_payment_method` Specifies the sub payment method (e.g., paypal, skrill, blik). Optional.
* `fiat_currency` Specifies the currency for the amount (e.g., USD, GBP). Optional.
* `fiat_quantity` Specifies the default quantity of the asset to buy (e.g., 3, 0.25). Optional.

```
https://link.trustwallet.com/buy?asset=c60&provider=moonpay&payment_method=digital_wallet&sub_payment_method=paypal&fiat_currency=USD&fiat_quantity=300
```

### Open Sell Crypto

* `asset` asset in [UAI format](/developer/new-asset/universal_asset_id.md)

```
https://link.trustwallet.com/sell?asset=c60_t0x6B175474E89094C44Da98b954EedeAC495271d0F
```

### Open Market Info

* `asset` asset in [UAI format](/developer/new-asset/universal_asset_id.md)

```
https://link.trustwallet.com/market?asset=c60_t0x6B175474E89094C44Da98b954EedeAC495271d0F
```

## Hot Tokens

Open the Hot Tokens tab on the Swap page.

```
https://link.trustwallet.com/hot_tokens
```

### Open Hot category and all networks

* `category_id` category identifier

```
https://link.trustwallet.com/hot_tokens?category_id=hot
```

### Open Hot category and specific network

* `category_id` category identifier
* `network` network identifier (slip44 index)

```
https://link.trustwallet.com/hot_tokens?category_id=hot&network=c0
```

## WalletConnect

### Connect to a WalletConnect session

Pass a URL-encoded WalletConnect v2 URI as the `uri` parameter:

```
https://link.trustwallet.com/wc?uri=wc%3A1234abcd...%402%3FrelaySrotocol%3Dirn%26symKey%3D...
```

See the [Mobile (WalletConnect)](/developer/develop-for-trust/mobile.md) guide for how to generate the `uri` from the Sign API.

## NFTs

Open NFTs tab.

```
https://link.trustwallet.com/nfts
```

## Quest

Open the quest page.

```
https://link.trustwallet.com/quest
```

## Launchpool

Open the Launchpool page.

```
https://link.trustwallet.com/launchpool
```

## Settings

### Open notification settings

```
https://link.trustwallet.com/notification_settings
```

### Open notifications

```
https://link.trustwallet.com/notifications
```

### Open price alerts

```
https://link.trustwallet.com/alerts
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.trustwallet.com/developer/develop-for-trust/deeplinking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
